# $str.matchnocase

Matches a fixed string agains a wildcard expression (case insensitive)

Syntax

    $str.matchnocase(<wildcard_expression>,<string>)

Description
Returns 1 if the fixed <string> matches the <wildcard_expression>, 0 otherwise. The <wildcard_expression> is a string containing the classic '?' and '*' wildcards. The match is case insensitive.
Examples

        %test = "Hello! My nickname is Pragma"
        if($str.match(pragma*,%test))echo "Matches pragma*"
        if($str.match(*pragma,%test))echo "Matches *pragma"
        if($str.match(H*y*i?k*a,%test))echo "Matches H*y*i?k*a"
        if($str.match(H*y*i?K*a,%test))echo "Matches H*y*i?K*a"

See also
$str.match()

Main, Functions

KVIrc 3.0.0 Documentation
Generated by root at Tue Apr 5 02:51:09 2005